Name:		elementary-xfce
Summary:	Elementary icons forked from upstream, extended and maintained for Xfce
Version:	0.17
Release:	%mkrel 1
# svgtopng.c is LGPLv2+
License:	GPLv2 and LGPLv2+
Group:		Graphical desktop/Xfce
Url:		https://github.com/shimmerproject/elementary-xfce
Source0:	https://github.com/shimmerproject/elementary-xfce/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		0001-Build-svgtopng-using-system-compiler-flags.patch
BuildArch:	noarch
BuildRequires:	optipng
BuildRequires:	symlinks
BuildRequires:	librsvg2
BuildRequires:	pkgconfig(gtk+-3.0)

%description
An icon-theme maintained with Xfce in mind, but it should work on other
desktops like Gnome3 as well.

It is a fork of the upstream elementary project (http://elementary.io).
The reason for forking was that the project decided to focus on its own
desktop environment and dropped a ton of (ugly, but necessary) symlinks.
This icon-theme is supposed to keep everything working, but gets updates
from upstream occasionally.

%package icon-theme
Summary:	Elementary icons forked from upstream, extended and maintained for Xfce
Provides:	%{name} = %{version}-%{release}
# for gtk-update-icon-cache
Requires(post):	gtk-update-icon-cache

%description icon-theme
An icon-theme maintained with Xfce in mind, but it should work on other
desktops like Gnome3 as well.

It is a fork of the upstream elementary project (http://elementary.io).
The reason for forking was that the project decided to focus on its own
desktop environment and dropped a ton of (ugly, but necessary) symlinks.
This icon-theme is supposed to keep everything working, but gets updates
from upstream occasionally.

%prep
%setup -q
%autopatch -p1

# use drakconf icon inherited from hicolor theme (drakconf-icons pkg)
find elementary* -name "drakconf*" -delete

%build
%set_build_flags

# no traditional configure script
./configure --prefix=%{_prefix}

# no parallel build
%__make

%install
%make_install

# drop danling symlinks
symlinks -rd %{buildroot}

# fix docs
rm -rf %{buildroot}%{_iconsdir}/elementary-xfce*/AUTHORS
rm -rf %{buildroot}%{_iconsdir}/elementary-xfce*/CONTRIBUTORS
rm -rf %{buildroot}%{_iconsdir}/elementary-xfce*/LICENSE
rm -rf %{buildroot}%{_iconsdir}/elementary-xfce*/README*

%post icon-theme
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  for d in %{_iconsdir}/elementary-xfce*; do
    %{_bindir}/gtk-update-icon-cache --force --quiet $d
  done
fi

%files icon-theme
%doc AUTHORS CONTRIBUTORS README.md
%license LICENSE

%dir %{_iconsdir}/elementary-xfce/
%{_iconsdir}/elementary-xfce/*/
%{_iconsdir}/elementary-xfce/index.theme
%ghost %{_iconsdir}/elementary-xfce/icon-theme.cache

%dir %{_iconsdir}/elementary-xfce-dark/
%{_iconsdir}/elementary-xfce-dark/*/
%{_iconsdir}/elementary-xfce-dark/index.theme
%ghost %{_iconsdir}/elementary-xfce-dark/icon-theme.cache

%dir %{_iconsdir}/elementary-xfce-darker/
%{_iconsdir}/elementary-xfce-darker/*/
%{_iconsdir}/elementary-xfce-darker/index.theme
%ghost %{_iconsdir}/elementary-xfce-darker/icon-theme.cache

%dir %{_iconsdir}/elementary-xfce-darkest/
%{_iconsdir}/elementary-xfce-darkest/index.theme
%ghost %{_iconsdir}/elementary-xfce-darkest/icon-theme.cache


%changelog
* Mon Jul 18 2022 wally <wally> 0.17-1.mga9
+ Revision: 1869318
- new version 0.17

* Fri Apr 22 2022 wally <wally> 0.16-1.mga9
+ Revision: 1852642
- new version 0.16

* Wed Mar 30 2022 umeabot <umeabot> 0.15.2-2.mga9
+ Revision: 1835444
- Mageia 9 Mass Rebuild

* Wed Jan 13 2021 wally <wally> 0.15.2-1.mga8
+ Revision: 1671563
- new version 0.15.2

* Sun Jul 05 2020 wally <wally> 0.15.1-1.mga8
+ Revision: 1602321
- new version 0.15.1

* Mon Mar 23 2020 wally <wally> 0.15-1.mga8
+ Revision: 1559107
- new version 0.15

* Sun Feb 16 2020 umeabot <umeabot> 0.14-2.mga8
+ Revision: 1530202
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 wally <wally> 0.14-1.mga8
+ Revision: 1434545
- new version 0.14
- drop upstream patches

* Sun Mar 10 2019 wally <wally> 0.13.1-3.mga7
+ Revision: 1373717
- update post requires for icon cache update

* Tue Mar 05 2019 wally <wally> 0.13.1-2.mga7
+ Revision: 1371678
- don't use upstream provided custom drakconf icon (mga#24461)

* Sun Feb 10 2019 wally <wally> 0.13.1-1.mga7
+ Revision: 1364974
- imported package elementary-xfce

